%lanederlabels und auswahl der laender (siehe unten)
% ctries=['AUT';'BEL';'DEU';'ESP';'FIN';'FRA';'GRC';'IRL';'ITA';'LUX';'NLD';'PRT';'DNK';'GBR';'SWE';'CHE';'NOR';'AUS';'CAN';'JPN';'USA'];
% ctry=[1:17 31:34]; 

% einlesen aller daten
ind_prod=xlsread('ind_prod_qrtly70q1_03q2.xls');
% industrial production matrix T x N, in levels
% range 1q1970-2q2003; a total of 134 observations per country
% units   1	AUT     11  NLD     21  HUN     31  AUS
%         2	BEL     12  PRT     22  POL     32  CAN
%         3	DEU     13  DNK     23  SVN     33  JPN
%         4	ESP     14  GBR     24  BGR     34  USA
%         5	FIN     15  SWE     25  LAT
%         6	FRA     16  CHE     26  LTU
%         7	GRC     17  NOR     27  MAL
%         8	IRL     18  CYP     28  ROM
%         9	ITA     19  CZE     29  SVK
%        10	LUX     20  EST     30  TUR

% ind_prod=xlsread('ind_prod_mthly70m1_03m7.xls');
% industrial production matrix T x N, in levels
% range 1m1970-7m2003; a total of 403 observations per country
% units   1	AUT     11  NLD     21  HUN     31  AUS
%         2	BEL     12  PRT     22  POL     32  CAN
%         3	DEU     13  DNK     23  SVN     33  JPN
%         4	ESP     14  GBR     24  BGR     34  USA
%         5	FIN     15  SWE     25  LAT
%         6	FRA     16  CHE     26  LTU
%         7	GRC     17  NOR     27  MAL
%         8	IRL     18  CYP     28  ROM
%         9	ITA     19  CZE     29  SVK
%        10	LUX     20  EST     30  TUR

nobs=size(ind_prod,1);
cend = 2003.5; 
% cend=2003+7/12;
cal = [sort(cend-[1:nobs]/4)]';

cntry=[ctry]; %choose which countries to include
lrmean_smpl=find((cal>=1978).*(cal<2003));
obs_per=find((cal>=1978).*(cal<2003)); %choose sample period, contains the respective rows of original matrix
cal=cal(obs_per);

nbank=length(cntry);
S=zeros(1,nbank);


dlo=(log(ind_prod(2:end,:))-log(ind_prod(1:end-1,:)))*100; %endogenous variable, industrial production growth
lrdlo=dlo(lrmean_smpl(1:end-1),cntry);
lrmean=mean(dlo(lrmean_smpl(1:end-1),cntry));
for j=find(1-((lrmean>-Inf).*(lrmean<Inf)));
    lrmean(j)= mean(lrdlo([find((lrdlo(:,j)>-Inf).*(lrdlo(:,j)<Inf))],j));
end
clear lrdlo

dlo=dlo(obs_per(1:end-1),cntry);
dlo_unadj=dlo;
nobs=size(dlo,1);
cal=cal(2:end);
dlo_obs=dlo;

nan_ret=find(1-((mean(dlo,1)>-Inf).*(mean(dlo,1)<Inf))); %find series with NaN  
n_ret=zeros(nobs,nbank);
for j=nan_ret;
   n_ret([find(1-((dlo(:,j)>-Inf).*(dlo(:,j)<Inf)))],j)=1; %construct matrix of missing values for NaN
   dlo([find(1-((dlo(:,j)>-Inf).*(dlo(:,j)<Inf)))],j)=mean(dlo(n_ret(:,j)==0,j));
end
dlo=dlo-kron(ones(nobs,1),lrmean);

%set additional outliers
outl=zeros(nobs,nbank);
if and(dum_out,any([ctry==18 ctry==7 ctry==15 ctry==17])) %include dummies for obvious outliers
    outl(:,[find(ctry==18) find(ctry==7) find(ctry==15) find(ctry==17)])= ...
        [find(find(ctry==18))*((cal==1989.5)+(cal==1989.75)) find(find(ctry==7))*((cal==1990.5)+(cal==1990.75))...
            find(find(ctry==15))*((cal==1980.25)+(cal==1980.5)) find(find(ctry==17))*((cal==1986.25)+(cal==1986.5))];
end
        
dlo_out=1-(1-n_ret).*(1-outl);

% Zbasis=zeros(nobs,[],nbank);
% Zbasis(:,1,:)=reshape(lenddata_b(:,9),nobs,nbank)*100; % zinssatz dir
% Zbasis(:,2,:)=reshape(lenddata_b(:,3),nobs,nbank); %Grsse si

% Zdum=zeros(nobs,4,nbank);%dummies 1-3: saisonals 4: structural break in der liquiditt ab 4.quartal 1995 
% for i1=1:4;
%    Zdum(:,i1,:)=reshape(lenddata_b(:,4+i1),nobs,nbank); 
% end;clear i1;   

% Zwirt=zeros(nobs,2,nbank); % wirtschaftsdaten 1: dp86 (inflation) 2: dyr (wachstum bip)
% for i1=1:2;
%    Zwirt(:,i1,:)=reshape(lenddata_b(:,9+i1),nobs,nbank)*100; 
% end;clear i1;   
% dyr=lenddata_b(1:nobs,9+2)*100;
c=ones(size(dlo,1),1,size(dlo,2)); % constante 


