% load ind_prod.txt;
ind_prod=xlsread('ind_prod_qrtly70q1_03q2.xls')
ctries=['AUT';'BEL';'DEU';'ESP';'FIN';'FRA';'GRC';'IRL';'ITA';'LUX';'NLD';'PRT';'DNK';'GBR';'SWE';'CHE';'NOR';'AUS';'CAN';'JPN';'USA'];
ctry=[1:17 31:34]; 
% industrial production matrix T x N, in levels
% range 1q1970-4q2001; a total of 129 observations per country
% units   1	AUT     11  NLD     21  HUN     31  AUS
%         2	BEL     12  PRT     22  POL     32  CAN
%         3	DEU     13  DNK     23  SVN     33  JPN
%         4	ESP     14  GBR     24  BGR     34  USA
%         5	FIN     15  SWE     25  LAT
%         6	FRA     16  CHE     26  LTU
%         7	GRC     17  NOR     27  MAL
%         8	IRL     18  CYP     28  ROM
%         9	ITA     19  CZE     29  SVK
%        10	LUX     20  EST     30  TUR

% load ind_prod_mthly.txt;
% ind_prod=ind_prod_mthly;
% ind_prod=xlsread('ind_prod_mthly70m1_03m7.xls');
% ctries=['AUT';'BEL';'DEU';'ESP';'FIN';'FRA';'GRC';'IRL';'ITA';'LUX';'NLD';'PRT';'DNK';'GBR';'SWE';'NOR';'CAN';'JPN';'USA'];
% ctry=[1:15 17 32:34];
% industrial production matrix T x N, in levels
% range 1m1970-12m2001; a total of 384 observations per country
% units   1	AUT     11  NLD     21  HUN     31  AUS
%         2	BEL     12  PRT     22  POL     32  CAN
%         3	DEU     13  DNK     23  SVN     33  JPN
%         4	ESP     14  GBR     24  BGR     34  USA
%         5	FIN     15  SWE     25  LAT
%         6	FRA     16  CHE     26  LTU
%         7	GRC     17  NOR     27  MAL
%         8	IRL     18  CYP     28  ROM
%         9	ITA     19  CZE     29  SVK
%        10	LUX     20  EST     30  TUR


data=log(ind_prod(:,ctry));
y_gr=(data(2:end,:)-data(1:end-1,:))*100;
% y_gr=y_gr- kron(ones(size(y_gr,1),1),mean(y_gr,1));

ngr=6;
nc=2;
nr=ngr/nc;
nctr=size(data,2);
nfig=ceil(nctr/ngr);

% cend=2003+7/12;
cend=2003+2/4;
nobs=size(data,1);
cal= cend-[nobs:-1:1]./4;

obs_per=find((cal>=1978).*(cal<2003)); %choose sample period, contains the respective rows of original matrix
cal=cal(obs_per);
data=data(obs_per,:);
y_gr=y_gr(obs_per(1:end-1),:);

for f=1:nfig;
    figure(gcf+1)
    for j=1:ngr
        if (f-1)*ngr+j<=nctr
            subplot(nr,nc,j)
            plot(cal,data(1:end,(f-1)*ngr+j))
            xlabel(ctries((f-1)*ngr+j,:))
            ax1=gca;
            set(ax1,'XLim',[cal(1) cal(end)])
            ax2=axes('Position',get(ax1,'Position'),'XAxisLocation','top','YAxisLocation','right','Color','none');
            set(ax2,'XLim',[cal(1) cal(end)],'XTickLabel',' ')
            %     if k==1 set(ax2,'XLim',[cal(1) cal(end)],'YLim',[-5 5]); end
            line(cal(2:end),y_gr(:,(f-1)*ngr+j),'Parent',ax2,'Color','k')
            hold on
            line(cal(1:end),zeros(size(data,1),1),'Parent',ax2,'Color','k')
        end
    end
end

figure(gcf+1)
plot(cal(2:end),y_gr)
axis([cal(2) cal(end) min(min(y_gr,[],1))-0.1 max(max(y_gr,[],1))+0.1])