% einlesen aller daten
daten_read_rev;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Aufbau von y und der Matrix Z, Zuerst variabel, dann fix

%  lag_dlo=4; %lag endogenous variable
%  lag_dir=0; %lag exogenous variable

lag_y=max(lag_dir,lag_dlo);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Auswahl der cross-section unit

index=[1:nbank];iout=(index~=index);

% Ausreisserbehandlung: iout(i)==1 exclude time series i

%outmerge=1;  %exclude time series containing mergers
outmerge=0;
if outmerge==1; iout=any(dlo_out==1); end   

miss=1; %treat mergers as missing values
%miss=0;
if miss==1
    dlo_obs=dlo; % actual observations; 
    dlo_m=median(dlo);
    for i=index
        if  any(dlo_out(:,i)) 
            dlo(dlo_out(:,i)==1,i) = dlo_m(i);
            %substitute median as starting value for missing observations at mergers
        end   
    end   
end   

dlo_max=max(dlo);dlo_min=min(dlo);
outy=0;
%outy=1;scale=5;%exclude time series with outliers
if outy==1; dlo_m=median(dlo);dlo_s=iqr(dlo);iout=or(dlo_max>dlo_m+scale/1.34*dlo_s,dlo_min<dlo_m-scale/1.34*dlo_s) ;%'max > scale*(iqr/1.34)'
end

%liq_sh=0; %flag (1) to eliminate banks with liquidity shares above 100% 
%exclude_ind; %ev. exclude some units
%iout(1,ind)=1;

plot_out=0;
if plot_out==1
    iplot=0;ifig=20;nplot=12;nline=3;xmin=-50;xmax=100;
    for i=index(iout)
        iplot=iplot+1;
        if iplot==1;ifig=ifig+1;figure(ifig);end
        subplot(nplot/nline,nline,iplot);
        plot(dlo(:,i));
        %  axis([0 nobs+2  xmin xmax]);
        alpha=0.3;
        axis([0 nobs+2  dlo_min(i)/(1-alpha) dlo_max(i)*(1+alpha)]);
        legend(num2str(BLZ(i)));
        if iplot==nplot;iplot=0;end
    end   
end


indexb=index(~iout);%Auswahl der units 
% indexn=[(1+lag_y):nobs]';%Bercksichtigen von autokorrelation in y
indexn=[(1+maxlag):nobs]';%Bercksichtigen von autokorrelation in y oder von verzgerten endogenen variablen


y=dlo(indexn,indexb);
cal=cal(indexn);

Z_dlolag=[];
if lag_dlo>0
    for i1=1:lag_dlo
        Z_add(1:size(indexn,1),1,1:size(indexb,2))=dlo(indexn-i1,indexb);
        Z_dlolag=cat(2,Z_dlolag,Z_add);
    end;clear i1
end   

Zvar=[];

% for iv=[1 ]; % 1 .. zinssatz
%    %Zvar=cat(2,Zvar,Zbasis(indexn,iv,indexb));
% if lag_dir>0
%    for i1=1:lag_dir
%       Z_add(1:size(indexn,1),1,1:size(indexb,2))=Zbasis(indexn-i1,iv,indexb);
%       Zvar=cat(2,Zvar,Z_add);
%    end;clear i1
% end 
% end; clear iv;

%Zvar=cat(2,c(indexn,:,indexb),Z_dlolag); %autoregressive parameters group specific
%Z=Zvar;
Zvar=c(indexn,:,indexb); 
Z=cat(2,Zvar,Z_dlolag); %common autoregressive parameters
% if and(~time_spec_var,~dum_out)
%     if and((length(ctry)==1),(ctry==17)) %include dummies for obvious outliers
%         Z=cat(2,Z,y==min(y),y==max(y));
%     elseif and((length(ctry)==1),(ctry==5))
%         Z=cat(2,Z,cal==1989.5,cal==1989.75);
%     elseif and((length(ctry)==1),(ctry==7))
%         Z=cat(2,Z,cal==1990.5,cal==1990.75);
%     elseif and((length(ctry)==1),(ctry==15))
%         Z=cat(2,Z,cal==1980.25,cal==1980.5);
%     elseif and(any(ctry==17),(any(cal==1986.25)+any(cal==1986.5)))+and(any(ctry==7),(any(cal==1990.5)+any(cal==1990.75)))+...
%             and(any(ctry==5),(any(cal==1989.5)+any(cal==1989.75)))+and(any(ctry==15),(any(cal==1980.25)+any(cal==1980.5)));
%         if and(any(ctry==5),any(cal==1989.5))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==5))= [cal==1989.5];
%         end
%         if and(any(ctry==5),any(cal==1989.75))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==5))= [cal==1989.75];
%         end
%         if and(any(ctry==7),any(cal==1990.5))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==7))= [cal==1990.5];
%         end
%         if and(any(ctry==7),any(cal==1990.75))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==7))= [cal==1990.75];
%         end
%         if and(any(ctry==15),any(cal==1980.25))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==15))= [cal==1980.25];
%         end
%         if and(any(ctry==15),any(cal==1980.5))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==15))= [cal==1980.5];
%         end
%         if and(any(ctry==17),any(cal==1986.25))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==17))= [y(:,find(ctry==17))==min(y(:,find(ctry==17)))];
%         end
%         if and(any(ctry==17),any(cal==1986.5))
%             Z=cat(2,Z,zeros(size(Z,1),1,size(Z,3)));
%             Z(:,end,find(ctry==17))= [y(:,find(ctry==17))==max(y(:,find(ctry==17)))];
%         end
%         
%     end
% end

if lag_dlo>0
    ill=size(Zvar,2); %gibt die letzte der spalten von Z an, in denen sich die gruppenspezifischen effekte befinden
    isp_lag_dlo=[ill+1:ill+size(Z_dlolag,2)];  
    %gibt an in welchen spalten von Z sich die zeitverzgerten Variablen befinden
else
    ill=size(Zvar,2);
    isp_lag_dlo=[];
end
isp_size=0;   %gibt an in welcher spalte von Z sich die size befindet - nicht definiert

% ZMS enthlt jene spalten von Z, deren Parameter sich nach einem M_S_modell ndern knnen

if not_switch
    ZMS=[]; 
    
else
    ZMS=Zvar;  %gendert Sylvia F-S. X_it^2=X_it^3
    %oder
    %  ill_sw=[1]; %gibt an, welche spalten von Z switchen
    %  ZMS=Z(:,ill_sw,:);
end

if length(index0)>0;
    IMS=probMS;
else
    IMS=[mean(y,2)>mean(mean(y,2))]'; 
    if not_switch
        IMS=IMS*0+1; 
    end
    
end
%starting value for MS-indicator: IMS(t+1) = 1, if mean of industrial production across countries_t>0, 0 otherwise
IMS=IMS(ones(K,1),:); % one state variable for each group

%defining S
S=ones(1,length(indexb));
% if gr_fix
%     group_fix
%     S=gr_ind;
% end


clear ind_prod Zbasis Zdum Zdumli Zwirt Zvar Z_dlolag Z_add  c;%startwerte

