function sp = simstateexstudent_q0(y,eta,ZG,alpha,seps,prlambda,dd)


% auswerten  von y multivariaten student t-verteilt im mixture Modell 
% mit individueller modellfehlervarianz

%input: 
% y ...T times N
% eta ...  K  times 1 - Gewicht der einzelenen gruppen
% ZG ... Designmatrix
% alpha ... d+(K-1)*dd times 1
% seps ... 1 times 1
% prlambda .. prior fuer lambda, hier FG der t-Vert.

%LOGARITHMIERT

K = size(eta,2);
T = size(y,1);
d = size(ZG,2);
N = size(y,2);

for i=1:N,
   
   ZG1 = squeeze(ZG(:,:,i));
   y1 = y(:,i);

   alpha1=alpha';
   alpha2(1:dd,1:K) = reshape(alpha1(1:dd*K,1),dd,K);
  % alpha2(dd+1:8*dd,1:K) = alpha1(dd*K+1:dd*(K+7),ones(1,K)); % fr 7 cons.-charact.
   alpha2(dd+1:d,1:K) = alpha1(dd*K+1:dd*(K-1)+d,ones(1,K));

   m = ZG1*alpha2; 
   eps = y1(:,ones(1,K)) - m; 
   
   llh1 = -0.5*T*log(pi)+prlambda*0.5*log(prlambda)+gammaln(0.5*(prlambda+T))-gammaln(0.5*prlambda);
   
         

      llh(:,i) = llh1 -.5*T*log(seps)- .5*(prlambda+T)*log( prlambda+sum(eps.^2,1)'/seps);   
   
 
end

maxl = max(llh);
lh = exp(llh - maxl(ones(1,K),:));
p = eta(ones(1,N),:)'.*lh;
sump=sum(p,1);
sp = sum(log(sump)+maxl);
